Chuyển đến nội dung
Diễn đàn CADViet
saukhoai

cần giúp đỡ lisp cộng dim

Các bài được khuyến nghị

chào các bác, do nhu cầu công việc nên bác nào có lisp cộng dim cho e xin với ạ. E xin cảm ơn
em muốn cái lisp thế này:  gọi lệnh => nhập hàng số cần cộng thêm => chọn những dim cần cộng thêm số => những dim được chọn sẽ cộng thêm giá trị ấy và thay thế dim cũ
ví dụ: e có 2 dim là 3000 và 2000, e muốn cộng thêm 1000 vào giá trị của nó. Sau khi nhập số và chọn các dim kia thì gía trị dim sẽ chuyển thành 4000 và 3000

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Của bạn đây !

(defun C:cd ( / DT I OBJ SS STR X)
  (setq dt (getreal "Nhap so muon cong/tru: "))
  (setq ss (ssget (list (cons 0 "*DIMENSION"))))
  (setq i 0)
  (repeat (sslength ss)
    (setq obj (vlax-ename->vla-object (ssname ss i)))
    (if (zerop (setq x (atof (vla-get-TextOverride obj))))
      (setq x (vla-get-Measurement obj))
      )
    (setq str (strcat (vla-get-TextPrefix obj) (rtos (+ x dt) 2 0) (vla-get-TextSuffix obj)))
    (vla-put-TextOverride obj str)
    (setq i (1+ i))
    )
  (print)
  )
(vl-load-com)

 

  • Like 3

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

×